ChangeSet 1.1337.3.5, 2003/10/16 12:22:46-07:00, greg@kroah.com

[PATCH] USB: 64bit fixups for legousbtower driver


 drivers/usb/misc/legousbtower.c |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)


diff -Nru a/drivers/usb/misc/legousbtower.c b/drivers/usb/misc/legousbtower.c
--- a/drivers/usb/misc/legousbtower.c	Mon Dec 29 14:27:43 2003
+++ b/drivers/usb/misc/legousbtower.c	Mon Dec 29 14:27:43 2003
@@ -379,7 +379,7 @@
 	int retval = 0;
 	int timeout = 0;
 
-	dbg(2," %s : enter, count = %d", __func__, count);
+	dbg(2," %s : enter, count = %Zd", __func__, count);
 
 	dev = (struct lego_usb_tower *)file->private_data;
 	
@@ -479,7 +479,7 @@
 	int retval = 0;
 	int timeout = 0;
 
-	dbg(2," %s : enter, count = %d", __func__, count);
+	dbg(2," %s : enter, count = %Zd", __func__, count);
 
 	dev = (struct lego_usb_tower *)file->private_data;
 
@@ -528,14 +528,14 @@
 				goto exit;
 			}
 
-			dbg(4," %s : in progress, count = %d", __func__, count);
+			dbg(4," %s : in progress, count = %Zd", __func__, count);
 		} else {
-			dbg(4," %s : sending, count = %d", __func__, count);
+			dbg(4," %s : sending, count = %Zd", __func__, count);
 
 			/* write the data into interrupt_out_buffer from userspace */
 			buffer_size = dev->interrupt_out_endpoint->wMaxPacketSize;
 			bytes_to_write = count > buffer_size ? buffer_size : count;
-			dbg(4," %s : buffer_size = %d, count = %d, bytes_to_write = %d", __func__, buffer_size, count, bytes_to_write);
+			dbg(4," %s : buffer_size = %Zd, count = %Zd, bytes_to_write = %Zd", __func__, buffer_size, count, bytes_to_write);
 
 			if (copy_from_user (dev->interrupt_out_buffer, buffer, bytes_to_write) != 0) {
 				retval = -EFAULT;
